org.mozilla.javascript.xml

## Class XMLLib

- java.lang.Object
- - org.mozilla.javascript.xml.XMLLib

    public abstract class XMLLib
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `XMLLib.Factory` An object which specifies an XMLLib implementation to be used at runtime.

### Constructor Summary

Constructors
Constructor and Description
`XMLLib()`

### Method Summary

Methods
`protected XMLLib` `bindToScope(Scriptable scope)`
`abstract java.lang.String` `escapeAttributeValue(java.lang.Object value)` Escapes the reserved characters in a value of an attribute.
`abstract java.lang.String` `escapeTextValue(java.lang.Object value)` Escapes the reserved characters in a value of a text node.
`static XMLLib` `extractFromScope(Scriptable scope)`
`static XMLLib` `extractFromScopeOrNull(Scriptable scope)`
`int` `getPrettyIndent()`
`boolean` `isIgnoreComments()`
`boolean` `isIgnoreProcessingInstructions()`
`boolean` `isIgnoreWhitespace()`
`boolean` `isPrettyPrinting()`
`abstract boolean` `isXMLName(Context cx, java.lang.Object name)`
`abstract Ref` `nameRef(Context cx, java.lang.Object namespace, java.lang.Object name, Scriptable scope, int memberTypeFlags)`
`abstract Ref` `nameRef(Context cx, java.lang.Object name, Scriptable scope, int memberTypeFlags)`
`void` `setIgnoreComments(boolean b)`
`void` `setIgnoreProcessingInstructions(boolean b)`
`void` `setIgnoreWhitespace(boolean b)`
`void` `setPrettyIndent(int i)`
`void` `setPrettyPrinting(boolean b)`
`abstract java.lang.Object` `toDefaultXmlNamespace(Context cx, java.lang.Object uriValue)` Construct namespace for default xml statement.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLLib

    public XMLLib()

### Method Detail

#### extractFromScopeOrNull

    public static XMLLib extractFromScopeOrNull(Scriptable scope)

#### extractFromScope

    public static XMLLib extractFromScope(Scriptable scope)

#### bindToScope

    protected final XMLLib bindToScope(Scriptable scope)

#### isXMLName

    public abstract boolean isXMLName(Context cx,
                    java.lang.Object name)

#### nameRef

    public abstract Ref nameRef(Context cx,
              java.lang.Object name,
              Scriptable scope,
              int memberTypeFlags)

#### nameRef

    public abstract Ref nameRef(Context cx,
              java.lang.Object namespace,
              java.lang.Object name,
              Scriptable scope,
              int memberTypeFlags)

#### escapeAttributeValue

    public abstract java.lang.String escapeAttributeValue(java.lang.Object value)

Escapes the reserved characters in a value of an attribute.

Parameters:
  `value` - Unescaped text
Returns:
  The escaped text

#### escapeTextValue

    public abstract java.lang.String escapeTextValue(java.lang.Object value)

Escapes the reserved characters in a value of a text node.

Parameters:
  `value` - Unescaped text
Returns:
  The escaped text

#### toDefaultXmlNamespace

    public abstract java.lang.Object toDefaultXmlNamespace(Context cx,
                                         java.lang.Object uriValue)

Construct namespace for default xml statement.

#### setIgnoreComments

    public void setIgnoreComments(boolean b)

#### setIgnoreWhitespace

    public void setIgnoreWhitespace(boolean b)

#### setIgnoreProcessingInstructions

    public void setIgnoreProcessingInstructions(boolean b)

#### setPrettyPrinting

    public void setPrettyPrinting(boolean b)

#### setPrettyIndent

    public void setPrettyIndent(int i)

#### isIgnoreComments

    public boolean isIgnoreComments()

#### isIgnoreProcessingInstructions

    public boolean isIgnoreProcessingInstructions()

#### isIgnoreWhitespace

    public boolean isIgnoreWhitespace()

#### isPrettyPrinting

    public boolean isPrettyPrinting()

#### getPrettyIndent

    public int getPrettyIndent()